OpenJPH: ojph::stex::j2k_frame_storer Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::stex::j2k_frame_storer Struct Reference

Saves a j2k frame to disk without decoding. More...

`#include <threaded_frame_processors.h>`

Inheritance diagram for ojph::stex::j2k_frame_storer:

## Public Member Functions
| j2k_frame_storer ()
| default construction
| ~j2k_frame_storer () override
| default destructor doing nothing
void | init (stex_file *file, const char *name_template)
| call this function to initialize its members
void | execute () override
| A thread from the thread_pool call this function to execute the task.
Public Member Functions inherited from ojph::thds::worker_thread_base
virtual | ~worker_thread_base ()
| virtual construction is a necessity to deconstruct derived objects.

## Private Attributes
stex_file * | file
| a j2k codestream file with other variables
const char * | name_template
| a template for the target file name

## Detailed Description

Saves a j2k frame to disk without decoding.

Definition at line 64 of file threaded_frame_processors.h.

## Constructor & Destructor Documentation

## ◆ j2k_frame_storer()

ojph::stex::j2k_frame_storer::j2k_frame_storer | ( |  | ) |
| inline

default construction

Definition at line 70 of file threaded_frame_processors.h.

References file, and name_template.

## ◆ ~j2k_frame_storer()

ojph::stex::j2k_frame_storer::~j2k_frame_storer | ( |  | ) |
| inlineoverride

default destructor doing nothing

Definition at line 77 of file threaded_frame_processors.h.

## Member Function Documentation

## ◆ execute()

void ojph::stex::j2k_frame_storer::execute | ( |  | ) |
| overridevirtual

A thread from the thread_pool call this function to execute the task.

Implements ojph::thds::worker_thread_base.

Definition at line 53 of file threaded_frame_processors.cpp.

References file.

## ◆ init()

void ojph::stex::j2k_frame_storer::init | ( | stex_file * | file,
|  | const char * | name_template )
| inline

call this function to initialize its members

Parameters

  file | is a stex_file holding the j2k codestream with other variables.
  name_template | holds the a filename template

Definition at line 87 of file threaded_frame_processors.h.

References file, and name_template.

## Member Data Documentation

## ◆ file

stex_file* ojph::stex::j2k_frame_storer::file
| private

a j2k codestream file with other variables

Definition at line 100 of file threaded_frame_processors.h.

Referenced by execute(), init(), and j2k_frame_storer().

## ◆ name_template

const char* ojph::stex::j2k_frame_storer::name_template
| private

a template for the target file name

Definition at line 101 of file threaded_frame_processors.h.

Referenced by init(), and j2k_frame_storer().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/apps/ojph_stream_expand/threaded_frame_processors.h
- /build/openjph/src/OpenJPH/src/apps/ojph_stream_expand/threaded_frame_processors.cpp